%define anolis_release 1
%global pypi_name seqeval
%global pypi_version 1.2.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Testing framework for sequence labeling

License:        MIT
URL:            https://github.com/chakki-works/seqeval
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy) >= 1.14
BuildRequires:  python3dist(scikit-learn) >= 0.21.3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  pytest

%description
seqeval is a Python framework for sequence labeling evaluation. seqeval
can evaluate the performance of chunking tasks such as named-entity
recognition, part-of-speech tagging, semantic role labeling and so on. This is
well-tested by using the Perl script conlleval (which can be used for
measuring the performance of a system that has processed the CoNLL-2000 shared
task data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy) >= 1.14
Requires:       python3dist(scikit-learn) >= 0.21.3
%description -n python3-%{pypi_name}
seqeval is a Python framework for sequence labeling evaluation. seqeval
can evaluate the performance of chunking tasks such as named-entity
recognition, part-of-speech tagging, semantic role labeling and so on. This is
well-tested by using the Perl script conlleval (which can be used for
measuring the performance of a system that has processed the CoNLL-2000 shared
task data.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
cd tests
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.2.2-1
- Initial package.